.mapboxgl-ctrl button.mapboxgl-ctrl-compass .mapboxgl-ctrl-icon{
    background-image:url("../images/compass.png") !important;
    height: 47px;
    width: 47px;
    margin:1px;
}
.mapboxgl-ctrl-group:not(:empty) {
    -moz-box-shadow: none !important;
    -webkit-box-shadow: none !important; 
    box-shadow: none !important; 
}
.mapboxgl-ctrl-group {
    background: transparent !important;
}
.mapboxgl-ctrl-group > button.mapboxgl-ctrl-compass {height: 47px; width:47px;}
.mapboxgl-control-container .mapboxgl-ctrl-group button{
    height: 47px;
    width: 47px;
}
.mapboxgl-ctrl button:not(:disabled):hover {background-color: transparent !important}
.mapboxgl-ctrl button.mapboxgl-ctrl-zoom-in .mapboxgl-ctrl-icon {
     background-image:url("../images/btn_zoomin.png"); height:47px; width:47px; margin-left: 7px;}
.mapboxgl-ctrl button.mapboxgl-ctrl-zoom-out .mapboxgl-ctrl-icon { background-image:url("../images/btn_zoomout.png");
     /* height:39px; width:40px; margin-top:14px; */
    height: 47px;
    width: 47px;
    margin-top: 3px;
	margin-left:7px;
    }
.mapboxgl-ctrl-bottom-right .mapboxgl-ctrl{
    margin: 0 15px 15px 0 !important;
}

.mapboxgl-ctrl-group button:focus{box-shadow: none !important}
.mapboxgl-ctrl-group button+button { border-top: none !important;}
.mapboxgl-ctrl-scale {background-color: rgba(255,255,255, 0.6); border: 1px solid #333; border-top: #333}

@media (min-width: 768px) and (max-width: 1024px) {
.mapboxgl-ctrl button.mapboxgl-ctrl-compass .mapboxgl-ctrl-icon{
    background-image:url("../images/compass_sm.png") !important;
    height: 30px;
    width: 30px;
}
.mapboxgl-control-container .mapboxgl-ctrl-group button{
    height: 29px;
    width: 29px;
}
.mapboxgl-ctrl-bottom-right .mapboxgl-ctrl{
    margin: 0 15px 20px 0 !important;
}
.mapboxgl-ctrl button.mapboxgl-ctrl-zoom-in{
    margin-bottom: 5px;
}
.mapboxgl-ctrl button.mapboxgl-ctrl-zoom-in .mapboxgl-ctrl-icon { background-image:url("../images/btn_zoomin_sm.png"); height:29px; width:29px;outline:none;}
.mapboxgl-ctrl button.mapboxgl-ctrl-zoom-out .mapboxgl-ctrl-icon { background-image:url("../images/btn_zoomout_sm.png") !important; height:29px; width:29px; margin-top:0;outline:none;}
}
